(* lexer *)

(* header section*)
{
	open Calc_parser (* the type token is in the module parser *)
	exception Eof
}

(* definitions section *)
let white_space = [' ']

(* rules section *)
rule token = parse
	  white_space		{ token lexbuf }	(* skip the white spaces *)
	| ['\n']			{ EOL }
	| ['0'-'9']+ as lxm	{ INT(int_of_string lxm ) }
	| '+'				{ PLUS }
	| '*'				{ TIMES }
	| eof				{ raise Eof }